> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 사용 가능한 전용 IPs 목록

> 사용 가능한 관리형 전용 IPs를 나열합니다.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json GET /v1/public/accounts/{account_id}/dedicated-ips/available-options
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/available-options:
    get:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: 사용 가능한 전용 IPs 목록
      description: 사용 가능한 관리형 전용 IPs를 나열합니다.
      operationId: >-
        list_public_dedicated_ip_options_v1_public_accounts__account_id__dedicated_ips_available_options_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: asn
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Asn
        - in: query
          name: country_code
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Country Code
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PublicDedicatedIpInventoryOption'
                title: >-
                  Response List Public Dedicated Ip Options V1 Public Accounts 
                  Account Id  Dedicated Ips Available Options Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicDedicatedIpInventoryOption:
      properties:
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          description: 옵션에 대한 자율 시스템 번호
          title: ASN
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: 옵션의 ISO 국가 코드
          title: 국가 코드
        id:
          description: 인벤토리 옵션 UUID
          format: uuid
          title: ID
          type: string
        ip_addresses:
          description: 이 옵션에 포함된 공개 주소
          items:
            $ref: '#/components/schemas/PublicDedicatedIpAddressResponse'
          title: IP 주소
          type: array
        name:
          description: 고객에게 표시되는 재고 옵션 이름
          title: 이름
          type: string
      required:
        - id
        - name
      title: PublicDedicatedIpInventoryOption
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    PublicDedicatedIpAddressResponse:
      description: 평판 신호가 없는 공용 전용 IP 주소 메타데이터입니다.
      properties:
        fcrdns_confirmed:
          default: false
          description: 순방향 확인 역방향 DNS 통과 여부
          title: Fcrdns가 확인되었습니다.
          type: boolean
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          description: 가능한 경우 현재 건강 상태
          title: 정상
        ip:
          description: 공개 IP 주소
          title: IP
          type: string
        rdns:
          anyOf:
            - type: string
            - type: 'null'
          description: 구성된 경우 DNS 호스트 이름을 반대로 바꿉니다.
          title: rDNS
      required:
        - ip
      title: PublicDedicatedIpAddressResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````